module globals
!! Module, which defines global data for READOUT
!! Copyright (C) 2004  Thorsten Pohlert
!!
!! This program is free software; you can redistribute it and/or modify
!! it under the terms of the GNU General Public License as published by
!! the Free Software Foundation; either version 2 of the License, or
!! (at your option) any later version.
!!
!! You should have received a copy of the GNU General Public License
!! along with this program; if not, write to the Free Software
!! Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
!!
!! VARIABLES
!! ---------
!! asize          INTEGER                Size of array
!! rec                                   Records
!! value                                 ID of selected variable
!! nr1, nr2, nr3                         Nr. of printed variables in .rch, .bsb and .sbs file
!! flag1, flag2, flag3                   Indicates, if customized output was chosen (-> basins.cod)
!! 
!! amon           INTEGER(:)             Array, which contains daily/monthly index
!! rchfla, bsbfla, sbsfla                Array, which contains the ID's for the variables
!! 
!! xx             REAL(:)                Array, which contains the data of the selected variable
!!
!! rchvar         CHARACTER(:)           Array, which contains the names of .rch variables
!! bsbvar                                Array, which contains the names of .bsb variables  
!! sbsvar                                Array, which contains the names of .sbs variables

integer::  asize, rec, value, nr1, nr2, nr3
integer::  flag1 = -99, flag2 = -99, flag3 = -99 
real,dimension(:),allocatable:: xx
integer,dimension(:),allocatable:: amon
integer,dimension(20)::rchfla, bsbfla, sbsfla
character(len=10),dimension(42),save :: rchvar =                 &
             (/"FLOW_IN   ","FLOW_OUT  ","EVAP      ",&
               "TLOSS     ","SED_IN    ","SED_OUT   ",&
               "SEDCONC   ","ORGN_IN   ","ORGN_OUT  ",&
               "ORGP_IN   ","ORGP_OUT  ","NO3_IN    ",&
               "NO3_OUT   ","NH4_IN    ","NH4_OUT   ",&
               "NO2_IN    ","NO2_OUT   ","MINP_IN   ",&
               "MINP_OUT  ","CHLA_IN   ","CHLA_OUT  ",            &
               "CBOD_IN   ","CBOD_OUT  ","DISOX_IN  ",            &
               "DISOX_OUT ","SOLPST_IN ","SOLPST_OUT",            &
               "SORPST_IN ","SORPST_OUT","REACTPST  ",            &
               "VOLPST    ","SETTLPST  ","RESUSP_PST",            &
               "DIFFUSEPST","REACBEDPST","BURYPST   ",            &
               "BED_PST   ","BACTP_OUT ","BACTLP_OUT",            &
               "CMETAL#1  ","CMETAL#2  ","CMETAL#   "/)

character(len=10),dimension(15),save :: bsbvar =                   &
             (/"PRECIP    ","SNOMELT   ","PET       ","ET        ",&
               "SW        ","PERC      ","SURQ      ","GW_Q      ",&
               "WYLD      ","SYLD      ","ORGN      ","ORGP      ",&
               "NSURQ     ","SOLP      ","SEDP      "/)
 
character(len=10),dimension(58),save:: sbsvar =                    &
             (/"PRECIP    ","SNOFALL   ","SNOMELT   ","IRR       ",&
               "PET       ","ET        ","SW        ","PERC      ",&
               "GW_RCHG   ","DA_RCHG   ","REVAP     ","SA_IRR    ",&
               "DA_IRR    ","SA_ST     ","DA_ST     ","SURQ      ",&
               "TLOSS     ","LATQ      ","GW_Q      ","WYLD      ",&
               "SYLD      ","USLE      ","N_APP     ","P_APP     ",&
               "NAUTO     ","PAUTO     ","NGRZ      ","PGRZ      ",&
               "NRAIN     ","NFIX      ","F-MN      ","A-MN      ",&
               "A-SN      ","F-MP      ","AO-LP     ","L-AP      ",&
               "A-SP      ","DNIT      ","NUP       ","PUP       ",&
               "ORGN      ","ORGP      ","SEDP      ","NSURQ     ",&
               "NLATQ     ","NO3L      ","NO3GW     ","SOLP      ",&
               "P_GW      ","W_STRS    ","TMP_STRS  ","N_STRS    ",&
               "P_STRS    ","BIOM      ","LAI       ","YLD       ",&
               "BACTP     ","BACTLP    "/)
end module
