include 'globals.f90'
program main
!!Program READOUT
!!Copyright (C) 2004  Thorsten Pohlert
!!
!!License: GPL
!!
!!Purpose:
!!see below
!!
!!Contact:
!!Thorsten.Pohlert@agrar.uni-giessen.de

integer ficode, run

write(*,*)
write(*,1000) '===================================================================' 
write(*,1000) 'Welcome to READOUT for SWAT2000'                            
write(*,1000) 'Copyright (C) 2004  Thorsten Pohlert'                            
write(*,*)
write(*,1000) 'READOUT is a menu driven program to extract a variable of interest '
write(*,1000) 'from the major SWAT2000 output files, namely basins.rch, basins.sbs'
write(*,1000) 'and basins.bsb. You can extract one variable per subbasin/reach or '
write(*,1000) 'HRU.   '
write(*,*)
write(*,1000) 'This program is free software; you can redistribute it and/or modify'
write(*,1000) 'it under the terms of the GNU General Public License.               '
write(*,*)
write(*,1000) 'This program is distributed in the hope that it will be useful, but'
write(*,1000) 'WITHOUT ANY WARRANTY; without even the implied warranty of         '
write(*,1000) 'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU'
write(*,1000) 'General Public License for more details.'                     
write(*,1000) '==================================================================='
write(*,*)
write(*,*)

! Start dialog and repeat
do
  do
    write(*,1000) 'MAIN'
    write(*,*)
    write(*,1000) 'Please select the file by entering a number!'
    write(*,1000) 'To QUIT READOUT without savings enter CRT-C at any time.'
    write(*,*)
    write(*,1000) 'BASINS.RCH: Main Channel Output File  1'
    write(*,1000) 'BASINS.BSB: Subbasin Output File      2'
    write(*,1000) 'BASINS.SBS: HRU Output File           3'
    write(*,*)

    read(*,1001) ficode
 
     if (ficode == 1) then
        call read_cod
        call readout_rch

      else if (ficode == 2) then
        call read_cod
        call readout_bsb

      else if (ficode == 3) then
        call read_cod
        call readout_sbs
      
      else

        write(*,*)
        write(*,1002) 'ERROR: you choose', ficode, ', which does not exist!'
        write(*,1000) 'Please repeat or exit READOUT with CRT-C!'
        write(*,*)
        cycle
      end if

    exit
  end do 


  write(*,*)
  write(*,1000) 'BACK TO MAIN'
  write(*,*)
  write(*,1000) 'Do you want to run one more session?'
  write(*,*)
  write(*,1000) 'Run one more session                1'
  write(*,1000) 'EXIT READOUT                        2'
  read(*,1001) run
    if (run == 1) then
       cycle
    else
       exit
    end if     
end do

write(*,*)
write(*,1000) 'Program READOUT exits with success! Bye bye!'

1000 format(a)
1001 format(i2)
1002 format(a, 1X, i2,a)
end program
